# Exchange Traded Fund Supply

## Contents

* [ETF Supply (SplyXNtv, SplyXUSD)](#splyex)

## ETF Supply <a href="#splyex" id="splyex"></a>

### Definition

The sum held by an ETF at the end of that interval.

| Name                                       | MetricID   | Unit         | Interval |
| ------------------------------------------ | ---------- | ------------ | -------- |
| ARK Invest Supply (native units)           | SplyARKNtv | Native units | 1 day    |
| ARK Invest Supply (USD)                    | SplyARKUSD | USD          | 1 day    |
| BlackRock Supply (native units)            | SplyBLKNtv | Native units | 1 day    |
| BlackRock Supply (USD)                     | SplyBLKUSD | USD          | 1 day    |
| Bitwise Supply (native units)              | SplyBWSNtv | Native units | 1 day    |
| Bitwise Supply (USD)                       | SplyBWSUSD | USD          | 1 day    |
| Exchange Traded Fund Supply (native units) | SplyEtfNtv | Native units | 1 day    |
| Exchange Traded Fund Supply (USD)          | SplyEtfUSD | USD          | 1 day    |
| Grayscale Supply (native units)            | SplyGSCNtv | Native units | 1 day    |
| Grayscale Supply (USD)                     | SplyGSCUSD | USD          | 1 day    |
| Invesco Supply (native units)              | SplyINVNtv | Native units | 1 day    |
| Invesco Supply (USD)                       | SplyINVUSD | USD          | 1 day    |
| Franklin Templeton Supply (native units)   | SplyTMPNtv | Native units | 1 day    |
| Franklin Templeton Supply (USD)            | SplyTMPUSD | USD          | 1 day    |
| VanEck Supply (native units)               | SplyVANNtv | Native units | 1 day    |
| VanEck Supply (USD)                        | SplyVANUSD | USD          | 1 day    |
| Valkyrie Supply (native units)             | SplyVLKNtv | Native units | 1 day    |
| Valkyrie Supply (USD)                      | SplyVLKUSD | USD          | 1 day    |
| WisdomTree Supply (native units)           | SplyWDTNtv | Native units | 1 day    |
| WisdomTree Supply (USD)                    | SplyWDTUSD | USD          | 1 day    |

### Details

* All wallets (hot and cold) are considered to count towards the supply held by an ETF.
* USD metrics computed as `Sply{ETF}Ntv * PriceUSD`.
* `SplyEtf*` includes the balances of all addresses we have flagged as being controlled by an ETF.

### Availability for Assets

{% embed url="<https://coverage.coinmetrics.io/asset-metrics-v2/SplyEtfNtv>" %}

## API Endpoints

Exchange Supply metrics can be accessed using these endpoints:

* `timeseries/asset-metrics`

and by passing in the metric ID's `Sply{ETF}*` in the `metrics` parameter.

{% tabs %}
{% tab title="Shell" %}

```shell
curl --compressed "https://api.coinmetrics.io/v4/timeseries/asset-metrics?metrics=SplyARKNtv&assets=btc&pretty=true&api_key=<your_key>"
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
response = requests.get('https://api.coinmetrics.io/v4/timeseries/asset-metrics?metrics=SplyARKNtv&assets=btc&pretty=true&api_key=<your_key>').json()
print(response)
```

{% endtab %}

{% tab title="Python Client" %}

```python
from coinmetrics.api_client import CoinMetricsClient

api_key = "<API_KEY>"
client = CoinMetricsClient(api_key)

print(
    client.get_asset_metrics(
        metrics="SplyARKNtv", 
        assets="btc",
    ).to_dataframe()
)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/network-data/network-data-overview/exchange-traded-fund/exchange-traded-fund-supply.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
